Post Work Orders Id Documents
Attaches a file to the work order from a signed blob ID obtained via the direct-upload flow, under one of the organisation’s file categories.
Authentication
AuthorizationBearer
OAuth 2.0 Client Credentials Flow. To obtain an access token:
-
Request API credentials from HINDSITE support to receive your
client_idandclient_secret -
Make a POST request to obtain an access token:
POST https://app.hindsiteind.com/oauth/token
Content-Type: application/x-www-form-urlencoded
grant_type=client_credentials&client_id=YOUR_CLIENT_ID&client_secret=YOUR_CLIENT_SECRET
- The response will contain your access token:
{
"access_token": "your_access_token_here",
"token_type": "Bearer",
"expires_in": 7200,
"created_at": 1234567890
}
- Include the token in subsequent API requests:
Authorization: Bearer your_access_token_here
Path parameters
id
Request
This endpoint expects an object.
signed_id
Signed blob ID from the direct-upload flow
category_id
A file category ID from GET /api/v2/work_order_document_categories
Response
created WorkOrderDocument
id
ULID
category
user
file
created_at
Epoch seconds
updated_at
Epoch seconds
